# Interface MappingValue

A mapping value (may contain errors!)

#### Category

Container types

#### Hierarchy

- MappingValue

- Defined in codec/lib/format/values.ts:286

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/values.ts:295

### kind

kind: "value"

- Defined in codec/lib/format/values.ts:288

### type

type: MappingType

- Defined in codec/lib/format/values.ts:287

### value

value: KeyValuePair[]

order is irrelevant; also note keys must be values, not errors

- Defined in codec/lib/format/values.ts:294

Generated using TypeDoc